depthf.hM {ddalpha} | R Documentation

## h-Mode Depth for Functional Data

### Description

The h-mode depth of functional real-valued data.

### Usage

    depthf.hM(datafA, datafB, range = NULL, d = 101, norm = c("C", "L2"),
      q = 0.2)

### Arguments

`datafA` | Functions whose depth is computed, represented by a `dataf` object of their arguments and functional values. `m` stands for the number of functions.
`datafB` | Random sample functions with respect to which the depth of `datafA` is computed. `datafB` is represented by a `dataf` object of their arguments and functional values. `n` is the sample size. The grid of observation points for the functions `datafA` and `datafB` may not be the same.
`range` | The common range of the domain where the functions `datafA` and `datafB` are observed. Vector of length 2 with the left and the right end of the interval. Must contain all arguments given in `datafA` and `datafB`.
`d` | Grid size to which all the functional data are transformed. For depth computation, all functional observations are first transformed into vectors of their functional values of length `d` corresponding to equi-spaced points in the domain given by the interval `range`. Functional values in these points are reconstructed using linear interpolation, and extrapolation.
`norm` | The norm used for the computation of the depth. Two possible choices are implemented: `C` for the uniform norm of continuous functions, and `L2` for the L^2 norm of integrable functions.
`q` | The quantile used to determine the value of the bandwidth h in the computation of the h-mode depth. h is taken as the `q`-quantile of all non-zero distances between the functions `B`. By default, this value is set to `q=0.2`, in accordance with the choice of Cuevas et al. (2007).

### Details

The function returns the vectors of the sample h-mode depth values. The kernel used in the evaluation is the standard Gaussian kernel, the bandwidth value is chosen as a quantile of the non-zero distances between the random sample curves.

### Value

A vector of length `m` of the h-mode depth values.

### Author(s)

Stanislav Nagy, nagy at karlin.mff.cuni.cz

### References

Cuevas, A., Febrero, M. and Fraiman, R. (2007). Robust estimation and classification for functional data via projection-based depth notions. Computational Statistics 22 (3), 481–496.

Nagy, S., Gijbels, I. and Hlubinka, D. (2016). Weak convergence of discretely observed functional data with applications. Journal of Multivariate Analysis, 146, 46–62.

### Examples

    datafA = dataf.population()$dataf[1:20]
    datafB = dataf.population()$dataf[21:50]
    depthf.hM(datafA,datafB)
    depthf.hM(datafA,datafB,norm="L2")

[Package ddalpha version 1.3.9 Index]